import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';
import 'package:syncrow_web/utils/extension/build_context_x.dart';

class EmptySearchResultWidget extends StatelessWidget {
  const EmptySearchResultWidget({
    this.message = 'No results found',
    super.key,
  });

  final String message;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Text(
        message,
        textAlign: TextAlign.center,
        style: context.textTheme.bodySmall?.copyWith(
          color: ColorsManager.lightGreyColor,
          fontWeight: FontWeight.w400,
        ),
      ),
    );
  }
}
